import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

const router = new Router({
    routes: [
        {
            name: 'index',
            path: '/',
            alias: ['/index'],
            component: () => import('@/page/index')
        },
        {
            name: 'list',
            path: '/list/',
            component: () => import('@/page/list'),
            children: [
                {
                    path: 'openService',
                    component: () => import('@/page/list/openService')
                },
                {
                    path: 'rank',
                    component: () => import('@/page/list/rank')
                },
                {
                    path: 'popular',
                    component: () => import('@/page/list/popular')
                },
                {
                    path: 'allGame',
                    component: () => import('@/page/list/allGame')
                },
                {
                    path: 'allGame/:type',
                    component: () => import('@/page/list/allGame')
                }
            ]
        },
        {
            name: 'loading',
            path: '/loading',
            component: () => import('@/page/loading')
        },
        {
            name: 'setting',
            path: '/popup/setting',
            component: () => import('@/page/popup/setting')
        },
        {
            name:'hallNews',
            path:'/popup/hallNews',
            component:() => import('@/page/popup/hallNews')
        },
        {
            name:'pay',
            path:'/popup/pay',
            component:() => import('@/page/popup/pay')
        },
        {
            name: 'notice',
            path: '/popup/notice',
            component: () => import('@/page/popup/noticeDetails')
        },
        {
            name: 'self',
            path: '/self',
            component: () => import('@/page/self/index')
        }
    ]
})

export default router
